roar_vs_read(3)

NAME
roar_vs_read, roar_vs_write - Read or write data from or to sound server

SYNOPSIS

#include <roaraudio.h>

ssize_t roar_vs_read (roar_vs_t * vss, void * buf, size_t len, int * error);

ssize_t roar_vs_write(roar_vs_t * vss, const void * buf, size_t len, int * error);

DESCRIPTION
roar_vs_read() reads data from the sound server into buffer buf.

roar_vs_write() writes data in buffer buf to the sound server.

PARAMETERS

vss The VS object data is read from or written to.

buf The buffer to read to or write from.

len The length of the data to be read or written in byte.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return the amount of data read or written. This can be smaller than the requested size. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).